package paketArtikelMitGUIundOODB;

//Benötigte Bibliothek
import com.db4o.*;

public class DBZugriff
{ //Deklaration eines Objekts dbVerbindung vom Typ ObjectContainer
	ObjectContainer dbVerbindung; 
	Artikel vergleichsArtikel;
	Artikel gefundenerArtikel;
	
	public DBZugriff()
	{dbVerbindung = Db4o.openFile("Artikel.yap");}

	/*Methode zum Öffnen der Datenbank		
	public ObjectContainer oeffneDB()	
	{	
		//Das Objekt dbVerbindung ist die Verbindung zur phys. Datenbank
		dbVerbindung = Db4o.openFile("Artikel.yap");
		return dbVerbindung; 	
	}
	*/
	//Methode zum Schliessen der Datenbank
	public void schliesseDB()	
	{	dbVerbindung.close();	
	}
	
	//Methode zum Schreiben von Objekten in die Datenbank
	public void schreibeObjekt(Object pObject)	
	{	dbVerbindung.set(pObject);	
	}
	
	//Methode zum Lesen von Objekten aus der Datenbank
	public Artikel leseObjekt(String pArtikelNr)
	{	
		ObjectSet <Artikel>  abfrageErgebnis;	
		
	 
//	Es wird ein Vergleichsobjekt für eine Abfrage erzeugt.
	  vergleichsArtikel = new Artikel(pArtikelNr, null, 0, 0);
	  abfrageErgebnis  = dbVerbindung.get(vergleichsArtikel);
	 if(abfrageErgebnis .hasNext())
	 {
		 gefundenerArtikel=(Artikel) abfrageErgebnis .next();
	 }
	 else
	 {
		 gefundenerArtikel=null;
	 }
	  return gefundenerArtikel;
	}
}
